#
# spec file for package rubygem-vagrant_cloud
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define mod_name vagrant_cloud
%define mod_full_name %{mod_name}-%{version}
#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#
Name:           rubygem-vagrant_cloud
Version:        3.0.5
Release:        2.8
Summary:        Ruby library for the HashiCorp Vagrant Cloud API
License:        MIT
Group:          Development/Languages/Ruby
URL:            https://github.com/hashicorp/vagrant_cloud
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5

%description
Ruby library for the HashiCorp Vagrant Cloud API.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Jan  4 2022 Dan Čermák <dcermak@suse.com>
- Build gem for all Ruby versions
* Mon Jul 26 2021 Stephan Kulow <coolo@suse.com>
- updated to version 3.0.5
  * Updates for Ruby 3 compatibility [GH-76](https://github.com/hashicorp/vagrant_cloud/pull/76)
- drop Ruby 2.7 subpackage for Tumbleweed
* Thu Apr  1 2021 Dan Čermák <dcermak@suse.com>
- New upstream release 3.0.4
  [#] v3.0.4 (March 18, 2021)
  * Ensure URL is included when saving provider [GH-69](https://github.com/hashicorp/vagrant_cloud/pull/69)
  [#] v3.0.3 (February 19, 2021)
  * Save box before saving versions [GH-70](https://github.com/hashicorp/vagrant_cloud/pull/70)
* Mon Nov 16 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 3.0.2
  [#] v3.0.2 (October 30, 2020)
  * Raise custom exception on request error [GH-67](https://github.com/hashicorp/vagrant_cloud/pull/67)
  [#] v3.0.1 (October 27, 2020)
  * Fixes on authentication related client methods [GH-65](https://github.com/hashicorp/vagrant_cloud/pull/65)
  * Prevent frozen data modifications on deletions [GH-65](https://github.com/hashicorp/vagrant_cloud/pull/65)
  * Update direct upload callback behaviors [GH-65](https://github.com/hashicorp/vagrant_cloud/pull/65)
  [#] v3.0.0 (September 21, 2020)
  * Refactor library implementation [GH-59](https://github.com/hashicorp/vagrant_cloud/pull/59)
  * Add support for direct storage uploads [GH-62](https://github.com/hashicorp/vagrant_cloud/pull/62)
  _NOTE_: This release includes breaking changes and is not backwards compatible
* Thu Oct  8 2020 Dan Čermák <dcermak@suse.com>
- Revert sr#837782
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 3.0.0
  no changelog found
* Wed Feb 12 2020 Dan Čermák <dcermak@suse.com>
- Unrestrict rest_client version dependency
* Wed Oct 16 2019 Dan Čermák <dcermak@suse.com>
- Update to 2.0.3
  * Pass access_token and base_url into legacy ensure methods
    [GH-50](https://github.com/hashicorp/vagrant_cloud/pull/50)
  * Support passing checksum and checksum type values
    [GH-51](https://github.com/hashicorp/vagrant_cloud/pull/51)
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.2
  no changelog found
* Tue Nov 20 2018 Johannes Kastl <kastl@b1-systems.de>
- removed file vagrant_cloud-2.0.1.gem.sha256, that had been commited by accident
  (adding it to gem2rpm would not work, and would only create more hassle in future updates)
* Sat Nov 17 2018 Johannes Kastl <kastl@b1-systems.de>
- initial release, created via gem2rpm
